
TYPO3.Flow - Bug # 27375

Status: Rejected Priority: Should have
Author: Stefan Neufeind Category: Validation
Created: 2011-06-11 Assigned To: Stefan Neufeind
Updated: 2011-07-06 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: simplify email validator
Description

Regex for validation should be simplified (replaced) by using the approprivate filter_var() for that.

Related issues:
duplicated by TYPO3.Flow - Task # 39714: Validate emailaddresses by  filter_v... Resolved 2012-08-12

History
#1 - 2011-06-11 19:00 - Mr. Hudson

Patch set 1 of change Icf07b81b40a3021c66fe381be69efae1a632c25b has been pushed to the review server.
It is available at http://review.typo3.org/2665

#2 - 2011-06-11 22:00 - Stefan Neufeind

Karsten wrote in gerrit that filter_var()-check is not "good enough". Hope to clarify that with him further ...

#3 - 2011-07-06 16:18 - Karsten Dambekalns
- Status changed from New to Rejected

See the comments on https://review.typo3.org/#change,2665 for why this doesn't work.
